%define name    acikisletme
%define version 2
%define release 1
%define acikinstallroot /opt/acikisletme

Name:      %{name}
Version:   %{version}
Release:   %{release}
Vendor:	   Ali Vardar <ali@linuxprogramlama.com>
Packager:  Devrim Gunduz <devrim@gunduz.org>
Copyright: GPL
Group: Applications/Accessories
Source0: %{name}-%{version}.%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Summary : Linux ve FreeBSD icin bir acik kaynak kodlu ticari isletme uygulamasi
Url: http://www.linuxprogramlama.com/index.php?sayfa=acikisletme.htm

Requires: postgresql, postgresql-libs, ncurses, glib , glibc > 2.1
BuildRequires: 	postgresql-devel, ncurses-devel, glib-devel

%description
Linux ve Freebsd altnda yazlan ilk ticari iletme uygulamasdr. Hali 
hazrda Son derece basit bir donanmda dahi alabilmektedir. Sunucu 
zerinde ok dk istemci tarafnda ise tamamen sfr konfigrasyon ile 
kullanlabilmektedir. Uygulama 1.5 srmnden itibaren full olarak bir 
kstlama olmakszn indirilmeye hazrdr. 2.0 surumunden itibaren GPL 
olarak dagitilmaktadir. Hali hazrda altrlabilir linux uygulamas 
olarak tektir. Uygulama GCC kullanlarak. PostgreSQL, ncurses, glib 
kitaplklar kullanlarak yazlmtr. Yazcdan rahatlkla kt 
alnabilir. Bu uygulama sadece linux ve freebsd isletim sistemleri icin 
yazilmistir.

%prep
%setup -q -n %{name}-%{version}.%{release}

%build
./configure --prefix=%{acikinstallroot}
make

%install
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{acikinstallroot}

mkdir -p $RPM_BUILD_ROOT/usr/include/%{name}

cp -r conf %{buildroot}/%{acikinstallroot}

install -m 755 src/acikisletme $RPM_BUILD_ROOT%{acikinstallroot}/acikisletme
install -m 755 include/*.h $RPM_BUILD_ROOT/usr/include/%{name}/

%post 
echo "/usr/include/%{name}" >> /etc/ld.so.conf
/sbin/ldconfig
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/include/%{name}/*.h
%{acikinstallroot}/conf/*
%{acikinstallroot}/acikisletme

%doc AUTHORS README COPYING ABOUT-NLS ChangeLog NEWS TODO doc/en/install.txt doc/tr/*.txt


%postun
    if [ -x %{acikinstallroot} ]; then
      rm -rf  %{acikinstallroot}
    fi
 grep -v '/usr/include/%{name}' /etc/ld.so.conf > /tmp/ld.so.conf.tmp
 mv -f /tmp/ld.so.conf.tmp /etc/ld.so.conf

%changelog
* Mon Mar 21 2005 Devrim Gunduz <devrim@gunduz.org> 2.1-1
- 2 serisi icin ilk rpm
